Subject: Re: [PATCH 3/3] powerpc/pseries: Support compression of oops text via pstore

From: Aruna Balakrishnaiah <[email-masked]>
Date: Thu, 27 Jun 2013 15:12:20 +0530

Hi Tony,

On Tuesday 25 June 2013 09:32 PM, Luck, Tony wrote:
>> Introducing headersize in pstore_write() API would need changes at
>> multiple places whereits being called. The idea is to move the
>> compression support to pstore infrastructure so that other platforms
>> could also make use of it.
> Any thoughts on the back/forward compatibility as we switch to compressed
> pstore data?   E.g. imagine I have a system installed with some Linux distribution
> with a kernel too old to know about compressed pstore. I use that machine to
> run the latest kernels that do compression ... and one fine day one of them crashes
> hard - logging in compressed form to pstore. Now I boot my distro kernel to pick
> up the pieces ... what do I see in /sys/fs/pstore/*? Some compressed files? Can I
> read them with some tool?
>
> This somewhat of a corner case - but not completely unrealistic ... I'd at least
> like to be reassured that the old kernel won't choke when it sees the compressed
> blobs.

openssl command line tool can be used to decompress the compressed data of
the pstore file in the above scenario.

Usage:

cat <file> | openssl zlib -d

> -Tony